---
title: MediaRecorder.onstart
slug: Web/API/MediaRecorder/onstart
tags:
  - API
  - Audio
  - Media Capture
  - Media Recorder API
  - MediaRecorder
  - Property
  - Reference
  - Référence(2)
  - Video
  - onstart
---
<div>{{APIRef("Media Recorder API")}}</div>

<p>The <strong><code>MediaRecorder.onstart</code></strong>event handler (part of the <a href="/en-US/docs/Web/API/MediaRecorder_API">MediaRecorder API</a>) handles the <code>start</code> event, allowing you to run code in response to media recording being started by a <code>MediaRecorder</code>.</p>

<p>The <code>start</code> event is thrown as a result of the {{domxref("MediaRecorder.start()")}} method being invoked. At this point, the data starts being gathered into a {{domxref("Blob")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">MediaRecorder.onstart = function(event) { ... }
MediaRecorder.addEventListener('start', function(event) { ... })</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">...

  record.onclick = function() {
    mediaRecorder.start();
    console.log("recorder started");
  }

  mediaRecorder.onstart = function() {
    // do something in response to
    // recording being started
  }

...</pre>

<h2 id="Properties">Properties</h2>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("MediaStream Recording", "#dom-mediarecorder-onstart", "MediaRecorder.onstart")}}</td>
   <td>{{Spec2("MediaStream Recording")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaRecorder.onstart")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/MediaRecorder_API/Using_the_MediaRecorder_API">Using the MediaRecorder API</a></li>
 <li><a href="https://mdn.github.io/web-dictaphone/">Web Dictaphone</a>: MediaRecorder + getUserMedia + Web Audio API visualization demo, by <a href="https://twitter.com/chrisdavidmills">Chris Mills</a> (<a href="https://github.com/mdn/web-dictaphone/">source on Github</a>.)</li>
 <li><a href="http://simpl.info/mediarecorder/">simpl.info MediaStream Recording demo</a>, by <a href="https://twitter.com/sw12">Sam Dutton</a>.</li>
 <li>{{domxref("Navigator.getUserMedia")}}</li>
</ul>
